package com.jeeplus.modules.sg.managementcenter.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.modules.sg.managementcenter.project.entity.Assignment;
import com.jeeplus.modules.sg.managementcenter.project.entity.BasicInformation;
import com.jeeplus.modules.sys.entity.User;

import java.util.Date;
import java.util.List;

/**
 * 施工交底Entity
 * @author
 * @version 2019-11-08
 */
public class Construction extends ActEntity<Construction> {
    private static final long serialVersionUID = 1L;
    //储备项目暂定名称
    private String reserveProjectName;
    //储备项目暂定名称列表
    private List<String> reserveList;
    //项目定义
    private String projectId;
    //项目名称
    private String projectName;
    //是否自己处理
    private String ifSelf;
    //是否需要借款
    private String ifBorrow;
    //项目基础信息表
    private BasicInformation basicInformation;
    //施工任务分配信息
    private Assignment assignment;
    //交底结论信息
    private Disclose disclose;
    //工程量信息
    private Quantity quantity;
    //FTU,三遥数量
    private String ftuThree;
    //FTU,二遥数量
    private String ftuTwo;
    //DTU,三遥,遮蔽立式数量
    private String dtuVertical;
    //DTU,三遥,户外立式数量
    private String dtuOutdoor;
    //DTU,三遥,组屏式数量
    private String dtuGroup;
    //一二次融合成套环网箱（2进2出）数量
    private String ringCages;
    //一二次融合成套柱上负荷开关（户外）数量
    private String poleMounted;

    public List<String> getReserveList() {
        return reserveList;
    }

    public void setReserveList(List<String> reserveList) {
        this.reserveList = reserveList;
    }
    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getIfSelf() {
        return ifSelf;
    }

    public void setIfSelf(String ifSelf) {
        this.ifSelf = ifSelf;
    }

    public String getIfBorrow() {
        return ifBorrow;
    }

    public void setIfBorrow(String ifBorrow) {
        this.ifBorrow = ifBorrow;
    }

    public BasicInformation getBasicInformation() {
        return basicInformation;
    }

    public void setBasicInformation(BasicInformation basicInformation) {
        this.basicInformation = basicInformation;
    }

    public Assignment getAssignment() {
        return assignment;
    }

    public void setAssignment(Assignment assignment) {
        this.assignment = assignment;
    }

    public Disclose getDisclose() {
        return disclose;
    }

    public void setDisclose(Disclose disclose) {
        this.disclose = disclose;
    }

    public Quantity getQuantity() {
        return quantity;
    }

    public void setQuantity(Quantity quantity) {
        this.quantity = quantity;
    }

    public String getFtuThree() {
        return ftuThree;
    }

    public void setFtuThree(String ftuThree) {
        this.ftuThree = ftuThree;
    }

    public String getFtuTwo() {
        return ftuTwo;
    }

    public void setFtuTwo(String ftuTwo) {
        this.ftuTwo = ftuTwo;
    }

    public String getDtuVertical() {
        return dtuVertical;
    }

    public void setDtuVertical(String dtuVertical) {
        this.dtuVertical = dtuVertical;
    }

    public String getDtuOutdoor() {
        return dtuOutdoor;
    }

    public void setDtuOutdoor(String dtuOutdoor) {
        this.dtuOutdoor = dtuOutdoor;
    }

    public String getDtuGroup() {
        return dtuGroup;
    }

    public void setDtuGroup(String dtuGroup) {
        this.dtuGroup = dtuGroup;
    }

    public String getRingCages() {
        return ringCages;
    }

    public void setRingCages(String ringCages) {
        this.ringCages = ringCages;
    }

    public String getPoleMounted() {
        return poleMounted;
    }

    public void setPoleMounted(String poleMounted) {
        this.poleMounted = poleMounted;
    }
}
